/* -*- Mode: C; indent-tabs-mode:nil; c-basic-offset: 8-*- */

/*
 * gcc -o test test.c `pkg-config --cflags libgda-4.0` `pkg-config --libs libgda-4.0`
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2.1 of 
 * the GNU Lesser General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the 
 * GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 */

#include <stdio.h>
#include <string.h>

#include <libgda/libgda.h>
#include <sql-parser/gda-sql-parser.h>

#define SQLTEST "select (case when iva > 0 then (iva + 100) / 100 else 0 end) from costi"

int
main (int argc, char **argv)
{
        gda_init ();
        gchar *sql;
        GdaServerProvider *prov;
        GdaSqlParser *parser;
        GdaStatement *stmt;

        prov = gda_config_get_provider ("PostgreSQL", NULL);
        parser = gda_server_provider_create_parser (prov, NULL);
        stmt = gda_sql_parser_parse_string (parser, SQLTEST, NULL, NULL);
        sql = gda_statement_to_sql (stmt, NULL, NULL);
        g_print ("<== [%s]\n==> [%s]\n", SQLTEST, sql);
        g_free (sql);

        return 0;
}
